package com.jiuqi.db;

package .tmp;

import com.jiuqi.db.DBMetaData;
import com.jiuqi.db.impl.DB2DBMetaData;
import com.jiuqi.db.impl.MySQLDBMetaData;
import com.jiuqi.db.impl.OracleDBMetaData;
import com.jiuqi.db.impl.SQLServerDBMetaData;
import com.jiuqi.db.impl.SybaseDBMetaData;
import java.sql.Connection;
import java.sql.DatabaseMetaData;
import java.sql.SQLException;

public class DBMetaDataFactory {
  public static DBMetaData initDBMetaData(Connection conn) throws SQLException {
    DatabaseMetaData dbmd = conn.getMetaData();
    String dbname = dbmd.getDatabaseProductName().toLowerCase();
    if (dbname.indexOf("sqlserver") != -1 || dbname.indexOf("sql server") != -1)
      return (DBMetaData)new SQLServerDBMetaData(dbmd); 
    if (dbname.indexOf("oracle") != -1)
      return (DBMetaData)new OracleDBMetaData(dbmd); 
    if (dbname.indexOf("db2") != -1)
      return (DBMetaData)new DB2DBMetaData(dbmd); 
    if (dbname.indexOf("adaptive") != -1 || dbname.indexOf("sybase") != -1)
      return (DBMetaData)new SybaseDBMetaData(dbmd); 
    if (dbname.indexOf("mysql") != -1)
      return (DBMetaData)new MySQLDBMetaData(dbmd); 
    return null;
  }
}
